<!DOCTYPE HTML>
<html>
    <head>

        <!-- Mobile Responsive Meta Tag -->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap Link -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

        <!-- Custom CSS -->
        <!-- <link rel="stylesheet" href="index.css"> -->

        <title>Bootstrap Grid System</title>

    </head>
    <body class="text-center">

        <h1>Bootstrap Grid System</h1>

        <!-- Two Columns Start-->
        <h2>Two Columns</h2>
        <div class="container-fluid">

            <!--Row with two equal columns-->
            <h3>1:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
            </div>
            
            <!--Row with two columns divided in 1:2 ratio-->
            <h3>1:2 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
            </div>
            
            <!--Row with two columns divided in 1:3 ratio-->
            <h3>1:3 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
            </div>

        </div>
        <!-- Two Columns End-->

        <!-- Three Columns Start -->
        <h2>Three Columns</h2>
        <div class="container-fluid">

            <!--Row with three equal columns-->
            <h3>1:1:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
            </div>
            
            <!--Row with three columns divided in 1:2:1 ratio-->
            <h3>1:2:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
            </div>
            
            <!--Row with three columns divided in an uneven ratio-->
            <h3>Uneven Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
            </div>

        </div>
        <!-- Three Columns End-->

        <!-- Automatic Sizing Start -->
        <h2>Automatic Sizing</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
            </div>
        </div>
        <!-- Automatic Sizing End -->

        

        <div class="container-fluid text-center text-dark">
            <!-- Mobiles Responsive Columns -->
            <h2>Mobile Responsive Columns</h2>
            <div class="row">
                <div class="col-12 col-md-4 border border-dark bg-primary text-light p-3">
                    Responsive
                </div>
                <div class="col-12 col-md-8 border border-dark bg-secondary text-light p-3">
                    Responsive
                </div>
            </div>
            <!-- Mobile Responsive COlumns End -->

            <!-- Multi Column Layouts -->
            <h2>Multi-Column Layouts</h2>
            <div class="row">
                <div class="col col-sm-4 border border-dark bg-primary text-light p-3">Catalog 1</div>
                <div class="col col-sm-4 border border-dark bg-secondary text-light p-3">Catalog 2</div>
                <div class="col col-sm-4 border border-dark bg-primary text-light p-3">Catalog 3</div>
            </div>
            <div class="row">
                <div class="col col-sm-4 border border-dark bg-primary text-light p-3">Catalog 4</div>
                <div class="col col-sm-4 border border-dark bg-secondary text-light p-3">Catalog 5</div>
                <div class="col col-sm-4 border border-dark bg-primary text-light p-3">Catalog 6</div>
            </div>
            <!-- Multi Column Layouts End -->

            <!-- Offsetting Columns -->
            <h2>Offsetting Columns</h2>
            <div class="row">
                <div class="col-6 offset-2 border border-dark bg-primary text-light p-3">offset Column</div>
            </div>
            <div class="row">               
                <div class="col-6 col-md-6 offset-md-3 border border-dark bg-primary text-light p-3">offset Column</div>
                <div class="col-6 col-md-6 offset-lg-4 border border-dark bg-primary text-light p-3">offset Column</div>
            </div>
            <!-- End of Offsetting Columns -->

            <!-- Column Orders -->
            <h2>Column Orders</h2>
            <div class="row">
                <div class="col-6 order-sm-2 order-md-1 border border-dark bg-primary text-light p-3">Left</div>
                <div class="col-6 order-sm-1 order-md-2 border border-dark bg-secondary text-light p-3">Right</div>
            </div>
            <!-- End of Column Orders -->

            
        </div>
        


        <!-- Bootstrap Script -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

    </body>
</html>